## akonadi-calendar-tools 22.08.1

=== debian/changelog ===
akonadi-calendar-tools (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:34:06 +0100

akonadi-calendar-tools (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:44:34 +0100

akonadi-calendar-tools (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:21:43 +0100

akonadi-calendar-tools (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:55:07 +0100

akonadi-calendar-tools (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:51:53 +0100

akonadi-calendar-tools (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:41:42 +0100

=== debian/control ===
Source: akonadi-calendar-tools
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:22.08.1~),
               libkf5akonadicalendar-dev (>= 4:22.08.1~),
               libkf5akonadicontact-dev (>= 4:22.08.1~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:22.08.1~),
               libkf5calendarutils-dev (>= 4:22.08.1~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:22.08.1~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5gravatar-dev (>= 4:22.08.1~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:22.08.1~),
               libkf5mime-dev (>= 22.08.1~),
               libkf5mimetreeparser-dev (>= 4:22.08.1~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:22.08.1~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools

Package: konsolekalendar
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.
 .

## akonadi-calendar-tools 22.08.2

=== debian/changelog ===
akonadi-calendar-tools (4:22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:12:35 +0200

=== debian/control ===
Source: akonadi-calendar-tools
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.95.0~),
               gettext,
               libkf5akonadi-dev (>= 4:22.08.2~),
               libkf5akonadicalendar-dev (>= 4:22.08.2~),
               libkf5calendarcore-dev (>= 5:5.95.0~),
               libkf5calendarsupport-dev (>= 4:22.08.2~),
               libkf5calendarutils-dev (>= 4:22.08.2~),
               libkf5doctools-dev (>= 5.95.0~),
               libkf5i18n-dev (>= 5.95.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~)
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/pim/akonadi-calendar-tools
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar-tools
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar-tools.git
Rules-Requires-Root: no

Package: konsolekalendar
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.

## akonadi-calendar-tools 22.08.3

=== debian/changelog ===
akonadi-calendar-tools (4:22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:55:26 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.95.0~),
                gettext,
-               libkf5akonadi-dev (>= 4:22.08.2~),
-               libkf5akonadicalendar-dev (>= 4:22.08.2~),
+               libkf5akonadi-dev (>= 4:22.08.3~),
+               libkf5akonadicalendar-dev (>= 4:22.08.3~),
                libkf5calendarcore-dev (>= 5:5.95.0~),
-               libkf5calendarsupport-dev (>= 4:22.08.2~),
-               libkf5calendarutils-dev (>= 4:22.08.2~),
+               libkf5calendarsupport-dev (>= 4:22.08.3~),
+               libkf5calendarutils-dev (>= 4:22.08.3~),
                libkf5doctools-dev (>= 5.95.0~),
                libkf5i18n-dev (>= 5.95.0~),
                pkg-config,

## akonadi-calendar-tools 22.12.0

=== debian/changelog ===
akonadi-calendar-tools (4:22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:10 +0100

akonadi-calendar-tools (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:06:04 +0100

=== debian/control ===
Source: akonadi-calendar-tools
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               libkf5akonadi-dev (>= 4:22.12.0~),
               libkf5akonadicalendar-dev (>= 4:22.12.0~),
               libkf5calendarcore-dev (>= 5:5.99.0~),
               libkf5calendarsupport-dev (>= 4:22.12.0~),
               libkf5calendarutils-dev (>= 4:22.12.0~),
               libkf5doctools-dev (>= 5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/akonadi-calendar-tools
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar-tools
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar-tools.git
Rules-Requires-Root: no

Package: konsolekalendar
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.

## akonadi-calendar-tools 22.12.2

=== debian/changelog ===
akonadi-calendar-tools (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:27:29 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.99.0~),
                gettext,
-               libkf5akonadi-dev (>= 4:22.12.0~),
-               libkf5akonadicalendar-dev (>= 4:22.12.0~),
+               libkf5akonadi-dev (>= 4:22.12.2~),
+               libkf5akonadicalendar-dev (>= 4:22.12.2~),
                libkf5calendarcore-dev (>= 5:5.99.0~),
-               libkf5calendarsupport-dev (>= 4:22.12.0~),
-               libkf5calendarutils-dev (>= 4:22.12.0~),
+               libkf5calendarsupport-dev (>= 4:22.12.2~),
+               libkf5calendarutils-dev (>= 4:22.12.2~),
                libkf5doctools-dev (>= 5.99.0~),
                libkf5i18n-dev (>= 5.99.0~),
                pkg-config,

## akonadi-calendar-tools 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.22.3")
project(akonadi-calendar-tools VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.99.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)


# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION}")


set(AKONADICALENDAR_LIB_VERSION "5.22.3")
set(AKONADI_VERSION "5.22.3")
set(CALENDARSUPPORT_LIB_VERSION "5.22.3")
set(KCALENDARCORE_LIB_VERSION "5.22.3")
set(CALENDARUTILS_LIB_VERSION "5.22.3")
set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
endif()
find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)


# Find KF5 package
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} REQUIRED)

# Find KdepimLibs Package
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)

include_directories(${akonadi-calendar-tools_SOURCE_DIR} ${akonadi-calendar-tools_BINARY_DIR})

configure_file(console-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/console-version.h @ONLY)


ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)

add_definitions(-DQT_NO_EMIT)
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(calendarjanitor)
add_subdirectory(konsolekalendar)

ecm_qt_install_logging_categories(
        EXPORT AKONADICALENDARTOOLS
        FILE console.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

add_subdirectory(doc)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
kdoctools_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
akonadi-calendar-tools (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:33:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
@@ -11,11 +10,11 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.99.0~),
                gettext,
-               libkf5akonadi-dev (>= 4:22.12.2~),
-               libkf5akonadicalendar-dev (>= 4:22.12.2~),
+               libkf5akonadi-dev (>= 4:22.12.3~),
+               libkf5akonadicalendar-dev (>= 4:22.12.3~),
                libkf5calendarcore-dev (>= 5:5.99.0~),
-               libkf5calendarsupport-dev (>= 4:22.12.2~),
-               libkf5calendarutils-dev (>= 4:22.12.2~),
+               libkf5calendarsupport-dev (>= 4:22.12.3~),
+               libkf5calendarutils-dev (>= 4:22.12.3~),
                libkf5doctools-dev (>= 5.99.0~),
                libkf5i18n-dev (>= 5.99.0~),
                pkg-config,
@@ -29,7 +28,7 @@
 
 Package: konsolekalendar
 Architecture: any
-Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
+Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
 Description: konsole personal organizer
  KonsoleKalendar is a command-line interface to KDE calendars.
  KonsoleKalendar complements KOrganizer by providing a console

## akonadi-calendar-tools 23.08.1

=== debian/changelog ===
akonadi-calendar-tools (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:53:27 +0100

akonadi-calendar-tools (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:48:14 +0100

akonadi-calendar-tools (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:28:26 +0100

akonadi-calendar-tools (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:40:17 +0100

akonadi-calendar-tools (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libkf5textaddons-dev to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:57:55 +0100

akonadi-calendar-tools (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:32:29 +0000

akonadi-calendar-tools (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:07:50 -0600

akonadi-calendar-tools (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:24:16 +0000

akonadi-calendar-tools (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:03:15 +0000

akonadi-calendar-tools (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 15:59:42 +0000

akonadi-calendar-tools (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:37:48 +0000

akonadi-calendar-tools (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:03:30 +0000

=== debian/control ===
Source: akonadi-calendar-tools
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:23.08.1~),
               libkf5akonadicalendar-dev (>= 4:23.08.1~),
               libkf5akonadicontact-dev (>= 4:23.08.1~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:23.08.1~),
               libkf5calendarutils-dev (>= 4:23.08.1~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.1~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5gravatar-dev (>= 4:23.08.1~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:23.08.1~),
               libkf5mime-dev (>= 23.08.1~),
               libkf5mimetreeparser-dev (>= 4:23.08.1~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:23.08.1~),
               libkf5textaddons-dev,
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools

Package: konsolekalendar
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.
 .

## akonadi-calendar-tools 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.22.3")
+set(PIM_VERSION "5.24.5")
 project(akonadi-calendar-tools VERSION ${PIM_VERSION})
 
-set(KF5_MIN_VERSION "5.99.0")
+set(KF_MIN_VERSION "5.105.0")
 
-find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
 
@@ -28,10 +28,16 @@
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
-
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -41,11 +47,10 @@
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION}")
 
 
-set(AKONADICALENDAR_LIB_VERSION "5.22.3")
-set(AKONADI_VERSION "5.22.3")
-set(CALENDARSUPPORT_LIB_VERSION "5.22.3")
-set(KCALENDARCORE_LIB_VERSION "5.22.3")
-set(CALENDARUTILS_LIB_VERSION "5.22.3")
+set(AKONADICALENDAR_LIB_VERSION "5.24.5")
+set(AKONADI_VERSION "5.24.5")
+set(CALENDARSUPPORT_LIB_VERSION "5.24.5")
+set(KCALENDARCORE_LIB_VERSION "5.24.5")
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
 
@@ -57,22 +62,21 @@
 
 
 # Find KF5 package
-find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
-find_package(KF5I18n ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF${KF_MAJOR_VERSION}DocTools ${KF_MIN_VERSION} REQUIRED)
+find_package(KF${KF_MAJOR_VERSION}I18n ${KF_MIN_VERSION} REQUIRED)
 
 # Find KdepimLibs Package
-find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
-find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
+find_package(KPim${KF_MAJOR_VERSION}Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
+find_package(KF${KF_MAJOR_VERSION}CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
+find_package(KPim${KF_MAJOR_VERSION}AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
+find_package(KPim${KF_MAJOR_VERSION}CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
 
 include_directories(${akonadi-calendar-tools_SOURCE_DIR} ${akonadi-calendar-tools_BINARY_DIR})
 
 configure_file(console-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/console-version.h @ONLY)
 
 
-ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)
+ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.105.0)
 
 add_definitions(-DQT_NO_EMIT)
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== calendarjanitor/CMakeLists.txt ===
add_executable(calendarjanitor)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(calendarjanitor PROPERTIES UNITY_BUILD ON)
endif()

target_sources(calendarjanitor PRIVATE
    main.cpp
    backuper.cpp
    calendarjanitor.cpp
    collectionloader.cpp
    options.cpp
    backuper.h
    calendarjanitor.h
    collectionloader.h
    options.h
    )

target_link_libraries(calendarjanitor
    KF${KF_MAJOR_VERSION}::CalendarCore
    KPim${KF_MAJOR_VERSION}::AkonadiCalendar)

install(TARGETS calendarjanitor  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== konsolekalendar/CMakeLists.txt ===

add_subdirectory(pics) 

add_executable(konsolekalendar)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(konsolekalendar PROPERTIES UNITY_BUILD ON)
endif()

target_sources(konsolekalendar PRIVATE
    konsolekalendarepoch.cpp
    konsolekalendardelete.cpp
    konsolekalendarchange.cpp
    konsolekalendarvariables.cpp
    konsolekalendaradd.cpp
    konsolekalendarexports.cpp
    konsolekalendar.cpp
    konsolekalendarepoch.h
    konsolekalendardelete.h
    konsolekalendarchange.h
    konsolekalendarvariables.h
    konsolekalendaradd.h
    konsolekalendarexports.h
    konsolekalendar.h

    main.cpp )

ecm_qt_declare_logging_category(konsolekalendar
    HEADER konsolekalendar_debug.h
    IDENTIFIER KONSOLEKALENDAR_LOG
    CATEGORY_NAME org.kde.pim.konsolekalendar
    DESCRIPTION "console (konsolekalendar)"
    OLD_CATEGORY_NAMES log_konsolekalendar
    EXPORT AKONADICALENDARTOOLS
    )

target_link_libraries(konsolekalendar
    Qt::DBus
    KF${KF_MAJOR_VERSION}::CalendarCore
    KF${KF_MAJOR_VERSION}::ConfigGui
    KPim${KF_MAJOR_VERSION}::CalendarSupport
    KPim${KF_MAJOR_VERSION}::AkonadiCalendar
    KF${KF_MAJOR_VERSION}::I18n
)

install(TARGETS konsolekalendar  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install( PROGRAMS konsolekalendar.desktop  DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
akonadi-calendar-tools (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:06:57 +1100

akonadi-calendar-tools (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:49:15 +0000

akonadi-calendar-tools (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:23:40 -0700

akonadi-calendar-tools (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:09:46 +0000

akonadi-calendar-tools (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:28:49 +0000

akonadi-calendar-tools (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:25:10 +0100

=== debian/control ===
--- 
+++ 
@@ -13,39 +13,39 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadicalendar-dev (>= 4:23.08.1~),
-               libkf5akonadicontact-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadicalendar-dev (>= 4:23.08.5~),
+               libkf5akonadicontact-dev (>= 4:23.08.5~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:23.08.1~),
-               libkf5calendarutils-dev (>= 4:23.08.1~),
+               libkf5calendarsupport-dev (>= 4:23.08.5~),
+               libkf5calendarutils-dev (>= 4:23.08.5~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.1~),
+               libkf5contacteditor-dev (>= 4:23.08.5~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5gravatar-dev (>= 4:23.08.1~),
+               libkf5gravatar-dev (>= 4:23.08.5~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:23.08.1~),
-               libkf5mime-dev (>= 23.08.1~),
-               libkf5mimetreeparser-dev (>= 4:23.08.1~),
+               libkf5libkdepim-dev (>= 4:23.08.5~),
+               libkf5mime-dev (>= 23.08.5~),
+               libkf5mimetreeparser-dev (>= 4:23.08.5~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:23.08.1~),
+               libkf5templateparser-dev (>= 4:23.08.5~),
                libkf5textaddons-dev,
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),

## akonadi-calendar-tools 24.08.2

=== debian/changelog ===
akonadi-calendar-tools (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 17:53:17 -0500

akonadi-calendar-tools (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:05:33 +0200

akonadi-calendar-tools (4:24.08.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectutes where akonadi-calendar is
    available.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Sep 2024 12:45:13 +0200

akonadi-calendar-tools (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 12 Sep 2024 22:04:54 +0200

=== debian/control ===
Source: akonadi-calendar-tools
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libakonadi-dev (>= 4:24.08.2~),
               libakonadicalendar-dev (>= 4:24.08.2~),
               libcalendarsupport-dev (>= 4:24.08.2~),
               libkf6calendarcore-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-calendar-tools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools
Rules-Requires-Root: no

Package: konsolekalendar
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.

## akonadi-calendar-tools 24.12.0

=== debian/changelog ===
akonadi-calendar-tools (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:52:21 +0100

akonadi-calendar-tools (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:39:57 +0100

=== debian/control ===
Source: akonadi-calendar-tools
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:24.12.0~),
               libakonadicalendar-dev (>= 4:24.12.0~),
               libcalendarsupport-dev (>= 4:24.12.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-calendar-tools
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar-tools
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar-tools.git
Rules-Requires-Root: no

Package: konsolekalendar
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.

## akonadi-calendar-tools 24.12.2

=== debian/changelog ===
akonadi-calendar-tools (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:09:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicalendar-dev (>= 4:24.12.0~),
-               libcalendarsupport-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicalendar-dev (>= 4:24.12.2~),
+               libcalendarsupport-dev (>= 4:24.12.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),

## akonadi-calendar-tools 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")
project(akonadi-calendar-tools VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.6.0")
set(QT_REQUIRED_VERSION "6.7.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION}")


set(AKONADICALENDAR_LIB_VERSION "6.3.3")
set(AKONADI_VERSION "6.3.3")
set(CALENDARSUPPORT_LIB_VERSION "6.3.3")
set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)


# Find KF6 package
find_package(KF6DocTools ${KF_MIN_VERSION} REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} REQUIRED)

# Find KdepimLibs Package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION}  CONFIG REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)

include_directories(${akonadi-calendar-tools_SOURCE_DIR} ${akonadi-calendar-tools_BINARY_DIR})

configure_file(console-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/console-version.h @ONLY)


add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)

add_definitions(-DQT_NO_EMIT)
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(calendarjanitor)
add_subdirectory(konsolekalendar)

ecm_qt_install_logging_categories(
        EXPORT AKONADICALENDARTOOLS
        FILE console.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

add_subdirectory(doc)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
kdoctools_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
akonadi-calendar-tools (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:51:42 +0100

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicalendar-dev (>= 4:24.12.2~),
-               libcalendarsupport-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicalendar-dev (>= 4:24.12.3~),
+               libcalendarsupport-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/akonadi-calendar-tools
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar-tools
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar-tools.git

## akonadi-calendar-tools 25.07.80

=== debian/changelog ===
akonadi-calendar-tools (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:38:38 +0100

akonadi-calendar-tools (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:32:50 +0100

akonadi-calendar-tools (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:34:31 +0100

akonadi-calendar-tools (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:58:11 +0100

akonadi-calendar-tools (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:38:09 +0100

akonadi-calendar-tools (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:27 -0500

=== debian/control ===
Source: akonadi-calendar-tools
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.07.80~),
               libakonadicalendar-dev (>= 4:25.07.80~),
               libcalendarsupport-dev (>= 4:25.07.80~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-calendar-tools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools
Rules-Requires-Root: no

Package: konsolekalendar
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.

## akonadi-calendar-tools 25.07.90

=== debian/changelog ===
akonadi-calendar-tools (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:24:43 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.80~),
-               libakonadicalendar-dev (>= 4:25.07.80~),
-               libcalendarsupport-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
+               libakonadicalendar-dev (>= 4:25.07.90~),
+               libcalendarsupport-dev (>= 4:25.07.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),

## akonadi-calendar-tools 25.08.0

=== debian/changelog ===
akonadi-calendar-tools (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:46:55 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.90~),
-               libakonadicalendar-dev (>= 4:25.07.90~),
-               libcalendarsupport-dev (>= 4:25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
+               libakonadicalendar-dev (>= 4:25.08.0~),
+               libcalendarsupport-dev (>= 4:25.08.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
